org.apache.ignite.spi.eventstorage

## Class NoopEventStorageSpi

- java.lang.Object
- - org.apache.ignite.spi.IgniteSpiAdapter
  - - org.apache.ignite.spi.eventstorage.NoopEventStorageSpi

All Implemented Interfaces:
  EventStorageSpi, IgniteSpi

    @IgniteSpiMultipleInstancesSupport(value=true)
    public class NoopEventStorageSpi
    extends IgniteSpiAdapter
    implements EventStorageSpi

No-op implementation of `EventStorageSpi`.

### Field Summary

### Fields inherited from class org.apache.ignite.spi.IgniteSpiAdapter

`ignite, igniteInstanceName, log`

### Constructor Summary

Constructors
Constructor and Description
`NoopEventStorageSpi()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T extends Event> Collection<T>` `localEvents(IgnitePredicate<T> p)` Queries locally-stored events only.
`void` `record(Event evt)` Records single event.
`void` `spiStart(@Nullable String gridName)` This method is called to start SPI.
`void` `spiStop()` This method is called to stop SPI.

### Methods inherited from class org.apache.ignite.spi.IgniteSpiAdapter

`addTimeoutObject, assertParameter, checkConfigurationConsistency0, clientFailureDetectionTimeout, configInfo, createSpiAttributeName, failureDetectionTimeout, failureDetectionTimeoutEnabled, failureDetectionTimeoutEnabled, getConsistentAttributeNames, getExceptionRegistry, getLocalNode, getName, getNodeAttributes, getSpiContext, ignite, initFailureDetectionTimeout, injectables, injectResources, isNodeStopping, onBeforeStart, onClientDisconnected, onClientReconnected, onContextDestroyed, onContextDestroyed0, onContextInitialized, onContextInitialized0, registerMBean, removeTimeoutObject, setName, started, startInfo, startStopwatch, stopInfo, unregisterMBean`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.spi.IgniteSpi

`getName, getNodeAttributes, onClientDisconnected, onClientReconnected, onContextDestroyed, onContextInitialized`

### Constructor Detail

#### NoopEventStorageSpi

    public NoopEventStorageSpi()

### Method Detail

#### localEvents

    public <T extends Event> Collection<T> localEvents(IgnitePredicate<T> p)

Queries locally-stored events only. Events could be filtered out by given predicate filter.

Specified by:
  `localEvents` in interface `EventStorageSpi`
Type Parameters:
  `T` - Type of events.
Parameters:
  `p` - Event predicate filter.
Returns:
  Collection of events.

#### record

    public void record(Event evt)
                throws IgniteSpiException

Records single event.

Specified by:
  `record` in interface `EventStorageSpi`
Parameters:
  `evt` - Event that should be recorded.
Throws:
  `IgniteSpiException` - If event recording failed for any reason.

#### spiStart

    public void spiStart(@Nullable
                         @Nullable String gridName)
                  throws IgniteSpiException

This method is called to start SPI. After this method returns successfully kernel assumes that SPI is fully operational.

Specified by:
  `spiStart` in interface `IgniteSpi`
Parameters:
  `gridName` - Name of Ignite instance this SPI is being started for (`null` for default Ignite instance).
Throws:
  `IgniteSpiException` - Throws in case of any error during SPI start.

#### spiStop

    public void spiStop()
                 throws IgniteSpiException

This method is called to stop SPI. After this method returns kernel assumes that this SPI is finished and all resources acquired by it are released.

Note that this method can be called at any point including during recovery of failed start. It should make no assumptions on what state SPI will be in when this method is called.

Specified by:
  `spiStop` in interface `IgniteSpi`
Throws:
  `IgniteSpiException` - Thrown in case of any error during SPI stop.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022